## org.codehaus.groovy.grails.web.binding
Class TimeZoneEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.codehaus.groovy.grails.web.binding.TimeZoneEditor

All Implemented Interfaces:
  PropertyEditor

    public class TimeZoneEditor

extends PropertyEditorSupport

A Property editor for converting instances of java.util.TimeZone

Since:
  20-Feb-2006
Author:
  Graeme Rocher

Constructor Summary
`TimeZoneEditor()`

Method Summary
`String` `getAsText()`
`void` `setAsText(String text)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeZoneEditor

    public TimeZoneEditor()

Method Detail

### setAsText

    public void setAsText(String text)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

### getAsText

    public String getAsText()

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`

Copyright (c) 2005-2009 The Grails project